org.apache.sling.commons.html.impl.parser

## Interface TagParserConstants

All Known Implementing Classes:
  TagParser, TagParserTokenManager

    public interface TagParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

### Field Summary

Fields
`static int` `ATTR_EQ` RegularExpression Id.
`static int` `ATTR_IDENTIFIER` RegularExpression Id.
`static int` `ATTR_NAME` RegularExpression Id.
`static int` `ATTR_VAL` RegularExpression Id.
`static int` `ATTR_VALUE` Lexical state.
`static int` `COMMENT` Lexical state.
`static int` `COMMENT_END` RegularExpression Id.
`static int` `COMMENT_START` RegularExpression Id.
`static int` `COMMENT_WORD` RegularExpression Id.
`static int` `DECL_ATTR` RegularExpression Id.
`static int` `DECL_END` RegularExpression Id.
`static int` `DECL_START` RegularExpression Id.
`static int` `DECL_TAG` RegularExpression Id.
`static int` `DECLARATION` Lexical state.
`static int` `DEFAULT` Lexical state.
`static int` `DQUOTE` RegularExpression Id.
`static int` `END_OF_TAG` RegularExpression Id.
`static int` `ENDTAG_START` RegularExpression Id.
`static int` `EOF` End of File.
`static int` `ERROR` RegularExpression Id.
`static int` `IN_DECLARATION` Lexical state.
`static int` `IN_TAG` Lexical state.
`static int` `LIT_ERROR` RegularExpression Id.
`static int` `LST_ERROR` RegularExpression Id.
`static int` `NAME_IDENTIFIER` RegularExpression Id.
`static int` `RAWTEXT` RegularExpression Id.
`static int` `SPACE` RegularExpression Id.
`static int` `SQUOTE` RegularExpression Id.
`static int` `START_TAG` Lexical state.
`static int` `STRING` RegularExpression Id.
`static int` `TAG_END` RegularExpression Id.
`static int` `TAG_NAME` RegularExpression Id.
`static int` `TAG_SLASHEND` RegularExpression Id.
`static int` `TAG_START` RegularExpression Id.
`static String[]` `tokenImage` Literal token values.

### Field Detail

#### EOF

    static final int EOF

End of File.

See Also:
  Constant Field Values

#### SPACE

    static final int SPACE

RegularExpression Id.

See Also:
  Constant Field Values

#### ATTR_IDENTIFIER

    static final int ATTR_IDENTIFIER

RegularExpression Id.

See Also:
  Constant Field Values

#### NAME_IDENTIFIER

    static final int NAME_IDENTIFIER

RegularExpression Id.

See Also:
  Constant Field Values

#### TAG_END

    static final int TAG_END

RegularExpression Id.

See Also:
  Constant Field Values

#### TAG_SLASHEND

    static final int TAG_SLASHEND

RegularExpression Id.

See Also:
  Constant Field Values

#### TAG_START

    static final int TAG_START

RegularExpression Id.

See Also:
  Constant Field Values

#### ENDTAG_START

    static final int ENDTAG_START

RegularExpression Id.

See Also:
  Constant Field Values

#### COMMENT_START

    static final int COMMENT_START

RegularExpression Id.

See Also:
  Constant Field Values

#### DECL_START

    static final int DECL_START

RegularExpression Id.

See Also:
  Constant Field Values

#### RAWTEXT

    static final int RAWTEXT

RegularExpression Id.

See Also:
  Constant Field Values

#### TAG_NAME

    static final int TAG_NAME

RegularExpression Id.

See Also:
  Constant Field Values

#### LST_ERROR

    static final int LST_ERROR

RegularExpression Id.

See Also:
  Constant Field Values

#### ATTR_NAME

    static final int ATTR_NAME

RegularExpression Id.

See Also:
  Constant Field Values

#### END_OF_TAG

    static final int END_OF_TAG

RegularExpression Id.

See Also:
  Constant Field Values

#### ATTR_EQ

    static final int ATTR_EQ

RegularExpression Id.

See Also:
  Constant Field Values

#### LIT_ERROR

    static final int LIT_ERROR

RegularExpression Id.

See Also:
  Constant Field Values

#### ATTR_VAL

    static final int ATTR_VAL

RegularExpression Id.

See Also:
  Constant Field Values

#### ERROR

    static final int ERROR

RegularExpression Id.

See Also:
  Constant Field Values

#### STRING

    static final int STRING

RegularExpression Id.

See Also:
  Constant Field Values

#### SQUOTE

    static final int SQUOTE

RegularExpression Id.

See Also:
  Constant Field Values

#### DQUOTE

    static final int DQUOTE

RegularExpression Id.

See Also:
  Constant Field Values

#### COMMENT_END

    static final int COMMENT_END

RegularExpression Id.

See Also:
  Constant Field Values

#### COMMENT_WORD

    static final int COMMENT_WORD

RegularExpression Id.

See Also:
  Constant Field Values

#### DECL_TAG

    static final int DECL_TAG

RegularExpression Id.

See Also:
  Constant Field Values

#### DECL_ATTR

    static final int DECL_ATTR

RegularExpression Id.

See Also:
  Constant Field Values

#### DECL_END

    static final int DECL_END

RegularExpression Id.

See Also:
  Constant Field Values

#### DECLARATION

    static final int DECLARATION

Lexical state.

See Also:
  Constant Field Values

#### COMMENT

    static final int COMMENT

Lexical state.

See Also:
  Constant Field Values

#### IN_DECLARATION

    static final int IN_DECLARATION

Lexical state.

See Also:
  Constant Field Values

#### ATTR_VALUE

    static final int ATTR_VALUE

Lexical state.

See Also:
  Constant Field Values

#### IN_TAG

    static final int IN_TAG

Lexical state.

See Also:
  Constant Field Values

#### START_TAG

    static final int START_TAG

Lexical state.

See Also:
  Constant Field Values

#### DEFAULT

    static final int DEFAULT

Lexical state.

See Also:
  Constant Field Values

#### tokenImage

    static final String[] tokenImage

Literal token values.